import { jsx as _jsx } from "react/jsx-runtime";
import TextField from "@mui/material/TextField";
import { InputAux } from "../nerdInputEnums";
export const NerdText = ({ label = "", placeholder = "", id, variant = "standard", required, disabled, error, helperText, value, onChange, onKeyPress, onBlur, onClick, }) => {
    return (_jsx(TextField, { error: error, "aria-haspopup": "true", disabled: disabled, id: id, label: label, placeholder: placeholder, fullWidth: true, helperText: required ? InputAux.REQUIRED : helperText, required: required, value: value, onChange: onChange, onKeyPress: onKeyPress, onBlur: onBlur, onClick: onClick, InputLabelProps: {
            shrink: true,
        }, variant: variant, className: required ? "Nerd-Text--required" : "", sx: {
            "& .MuiInputLabel-root": {
                display: "flex",
            },
        } }));
};
//# sourceMappingURL=nerdText.js.map