import React from "react";
export interface INerdInput {
    type?: string;
    inputSize?: number;
    icon?: JSX.Element;
    spacing?: number;
    alignItems?: string;
}
export interface INerdInputText extends INerdInput {
    label?: string;
    placeholder?: string;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void | undefined;
    onKeyPress?: (event: React.KeyboardEvent<HTMLInputElement>) => void;
}
export interface ICustomer {
    id?: number;
    name?: string;
    company_id?: number;
    credit_on_hold?: boolean;
    inactivity_hold?: boolean;
    credit_term_id?: number;
    line1?: string;
    city?: string;
    state?: string;
    zip?: string;
    is_active?: boolean;
    credit_term_name?: unknown;
}
export interface IAuxProps {
    children: React.ReactNode;
}
export declare type ReactInput = React.InputHTMLAttributes<HTMLInputElement>;
