import Paper from "@mui/material/Paper";
import { styled } from "@mui/material/styles";
const NerdCard = styled(Paper)(({ theme }) => ({
    borderRadius: theme.spacing(1),
    border: `solid 1px ${theme.palette.divider}`,
    padding: theme.spacing(2),
    borderLeft: `solid 4px ${theme.palette.primary.main}`,
    position: "relative",
    width: "100%",
}));
export default NerdCard;
//# sourceMappingURL=nerdCard.js.map