import { TextFieldProps } from "@mui/material";
import { DateRange, DateRangePickerProps } from "@mui/x-date-pickers-pro";
import { DateTime } from "luxon";
import { ReactElement } from "react";
export interface NerdDatePickerProps {
    value: DateRange<DateTime>;
    onChange: (newDateRange: DateRange<DateTime>) => void;
    startTextFieldProps?: TextFieldProps;
    endTextFieldProps?: TextFieldProps;
    dateRangePickerProps?: Partial<DateRangePickerProps<DateTime | string, DateTime | string>>;
    hideIcon?: boolean;
    localeStringFormat?: Intl.DateTimeFormatOptions;
}
/**
 *
 * @param {NerdDatePickerProps} props Props
 * @returns {ReactElement} NerdDateTimePicker
 */
export default function NerdDateRangePicker(props: NerdDatePickerProps): ReactElement;
